Index: calc-units-update.el
===================================================================
RCS file: /cvs/gsl/gsl/const/calc-units-update.el,v
retrieving revision 1.5
diff -u -r1.5 calc-units-update.el
--- calc-units-update.el	2 Jul 2007 16:34:25 -0000	1.5
+++ calc-units-update.el	10 Jan 2008 09:15:56 -0000
@@ -1,6 +1,6 @@
 ;; calc-units-update.el -- update for calc-units.el, a calculator for Emacs
 ;;
-;; Copyright (C) 2002 Jochen Kpper
+;; Copyright (C) 2002,2008 Jochen Kpper
 ;;
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published
@@ -17,6 +17,10 @@
 ;;   - Journal of Physical and Chemical Reference Data, 28(6), 1713-1852, 1999.
 ;;   - Reviews of Modern Physics, 72(2), 351-495, 2000.
 ;;   - http://physics.nist.gov/cuu/Constants/index.html
+;; * CODATA 2006
+;;   - http://arxiv.org/abs/0801.0028
+;;   - http://physics.nist.gov/cuu/Constants/
+;;   - http://www.physics.nist.gov/cuu/Constants/Table/allascii.txt
 ;; * NIST
 ;;   - http://physics.nist.gov/Pubs/SP811/appenB9.html
 ;; * NASA JPL
@@ -28,13 +32,13 @@
   '(;; length
     ( au      "149597870691. m"        "Astronomical Unit" ) ;; NASA JPL 
     ;; mass
-    ( amu     "1.66053873e-27 kg"      "Unified atomic mass" ) ;; CODATA
+    ( amu     "1.660538782e-27 kg"      "Unified atomic mass" ) ;; CODATA 2006 (1.660538782(83)e-27 kg)
     ;; pressure
     ( inH2O   "2.490889e2 Pa"          "Inch of water" ) ;; NIST 
-    ( e       "1.602176462e-19 C"      "Elementary charge" ) ;; CODATA
-    ( ech     "1.602176462e-19 C"      "Elementary charge" ) ;; CODATA
+    ( ech     "1.602176487e-19 C"      "Elementary charge" ) ;; CODATA 2006 (1.602176487(40)e-19 C)
+    ( e       "ech"                    "Elementary charge" )
     ;; other physical quantities (CODATA 1998)
-    ( h       "6.62606876e-34 J s"     "*Planck's constant" )
+    ( h       "6.62606896e-34 J s"     "*Planck's constant" ) ;; CODATA 2006 (6.62606896(33)e-34 J s)
     ( hbar    "h / 2 pi"               "Planck's constant" )
     ( mu0     "4 pi 1e-7 H/m"          "Permeability of vacuum" )
     ( Grav    "6.673e-11 m^3/kg^1/s^2" "Gravitational constant" )
@@ -43,8 +47,8 @@
     ( mp      "1.67262158e-27 kg"      "Proton rest mass" )
     ( mn      "1.67492716e-27 kg"      "Neutron rest mass" )
     ( mu      "1.88353109e-28 kg"      "Muon rest mass" )
-    ( Ryd     "10973731.568549 h c/m"  "Rydberg's constant (energy)" )
-    ( k       "1.3806503e-23 J/K"      "Boltzmann's constant" )
+    ( Ryd     "10973731.568527 h c/m"  "Rydberg's constant (energy)" ) ;; CODATA 2006 (10973731.568527(73) m-1)
+    ( k       "1.3806504e-23 J/K"      "Boltzmann's constant" ) ;; CODATA 2006 (1.3806504(24)e-23 J K-1)
     ( fsc     "7.297352533e-3"         "Fine structure constant" )
     ( muB     "927.400899e-26 J/T"     "Bohr magneton" )
     ( muN     "5.05078317e-27 J/T"     "Nuclear magneton" )
